<template>
  <Splide :id="idSlider" :has-track="false" :options="options" class="partners-gallery-wrapper" @splide:arrows:mounted="deleteBtn">
    <div v-if="arrowsCenter" class="splide__arrows my__splide__arrows-center">
      <button class="splide__arrow splide__arrow--prev">
        <arrow-swiper />
      </button>
      <button class="splide__arrow splide__arrow--next">
        <arrow-swiper />
      </button>
    </div>
    <SplideTrack>
      <SplideSlide v-for="(partner, index) in images" :key="index">
        <a
          v-if="partner.link && partner.link.href"
          :href="partner.link.href"
          :target="partner.link.target"
          :title="partner.link.title"
        >
          <img
            :src="partner.image"
            :alt="partner.name"
          />
        </a>
        <img
          v-else
          :src="partner.image"
          :alt="partner.name"
        />
      </SplideSlide>
    </SplideTrack>
  </Splide>
</template>

<script>
//   https://splidejs.com/v3/guides/options/
import { Splide, SplideSlide, SplideTrack } from "@splidejs/vue-splide";
import { defineComponent } from "vue";
import ArrowSwiper from "./icons/arrow-swiper.vue";

export default defineComponent({
  components: {
    Splide,
    SplideSlide,
    SplideTrack,
    ArrowSwiper,
  },
  props: {
    images: { type: Array },
    pagination: { type: Boolean, default: false },
    arrows: { type: Boolean, default: true },
    perPage: { type: Number, default: 4 },
    idSlider: { type: String },
    // arrowsBottom: { type: Boolean, default: true },
    arrowsCenter: { type: Boolean, default: true },
    // indexImgStart: {type: Number, default: 0},
    loop: { type: Boolean, default: true },
  },

  setup(props) {
    const options = {
      perPage: props.perPage,
      type: props.loop ?  'loop' : "slide", // 'slide', 'loop'
      arrows: props.arrows,
      pagination: props.pagination,
      lazyLoad: "nearby", // 'nearby' загружать изображения вокруг активного слайда /'sequential' Загружает изображения последовательно / false
      // rewind: true,
      gap   : '60px',
      breakpoints: {
        1023: {
          perPage: 2,
          gap   : '15px',
        },
        1365: {
          perPage: 3,
          gap   : '20px',
        },
      }
      // start: props.indexImgStart
    };

    return { options };
  },
  data() {
    return {
      // isOpen: false,
    };
  },
  mounted() {},
  methods: {
    deleteBtn(splide, prev, next) {
      // if (prev && next && prev.hasAttribute('disabled') && next.hasAttribute('disabled')) {
      //   prev.style.display = 'none';
      //   next.style.display = 'none';
      // }
    },


  },
});
</script>



<!-- <template>
  <div
    class="partners-gallery-wrapper"
    :class="{ notGallary: images.length <= 4 }"
    ref="wrapper"
  >
    <div
      v-if="images.length > 4 && !arrowNone"
      class="arrowPrev gallery-arrow"
      @click="scrollLeft"
      :class="{'disable' : arrowDisableLeft}"
    >
      <ArrowSwiper
        :width="9"
        :height="19"
        :stroke-width="8"
      />
    </div>
    <div
      v-if="images.length > 4 && !arrowNone"
      class="arrowNext gallery-arrow"
      @click="scrollRight"
      :class="{'disable' : arrowDisableRight}"
    >
      <ArrowSwiper
        :width="9"
        :height="19"
        :stroke-width="8"
      />
    </div>
    <div
      ref="content"
      class="partners-gallery-content"
    >
      <div
        v-for="partner in images"
        :key="partner.index"
        class="partner"
      >
        <a
          v-if="partner.link && partner.link.href"
          :href="partner.link.href"
          :target="partner.link.target"
          :title="partner.link.title"
        >
          <img
            :src="partner.image"
            :alt="partner.name"
          />
        </a>
        <img
          v-else
          :src="partner.image"
          :alt="partner.name"
        />
      </div>
    </div>
  </div>
</template>

<script>
import Button from './common/button.vue';
import Arrow from './icons/arrow-right.vue';
import ArrowSwiper from './icons/arrow-swiper.vue';

export default {
  components: {
    Button,
    Arrow,
    ArrowSwiper,
  },
  props: {
    onChangeDate: {
      type: Function,
    },
    btnArrow: {
      type: Boolean,
      default: true,
    },
    images: {
      type: Array,
      default: [],
    },
  },
  data() {
    return {
      arrowNone: false,
      arrowDisableLeft: false,
      arrowDisableRight: false
    };
  },
  computed: {},
  mounted() {
    // console.log("images: ", this.images);
    this.overflowArrow();
  },

  methods: {
    scrollLeft() {
      const content = this.$refs.content;
      content.scrollTo({
        left: (content.scrollLeft -= 500),
        behavior: 'smooth',
      });
      this.arrowDisableRight = false;
      this.overflowArrow('left');
    },
    scrollRight() {
      const content = this.$refs.content;
      content.scrollTo({
        left: (content.scrollLeft += 500),
        behavior: 'smooth',
      });
      this.arrowDisableLeft = false;
      this.overflowArrow('right');
    },
    overflowArrow(to){
      const slides = this.$refs.content.scrollWidth; //ширина области скролла
      const slidesWrapper = this.$refs.wrapper.offsetWidth; //ширина обертки
      const contentWidth = this.$refs.content.clientWidth; //щирина видимого блока 
      const scrollToRight = this.$refs.content.scrollLeft; //скролл по кнопке вправо
      console.log('scrollToRight: ', scrollToRight);
      if(slides < slidesWrapper){
        this.arrowNone = true;
      }
      if(to === 'right'){
        (slides - scrollToRight === contentWidth) ? (this.arrowDisableRight = true) : (this.arrowDisableRight = false)
      }
      else{
        (scrollToRight === 0) ? (this.arrowDisableLeft = true) : (this.arrowDisableLeft = false)
      }
    }
  },
};
</script>

<style lang="scss"></style> -->
